import type { UmbDocumentScheduleModalData, UmbDocumentScheduleModalValue } from './document-schedule-modal.token.js';
import { UmbModalBaseElement } from '../../../../../core/modal/index.js';
export declare class UmbDocumentScheduleModalElement extends UmbModalBaseElement<UmbDocumentScheduleModalData, UmbDocumentScheduleModalValue> {
    #private;
    private _options;
    private _hasNotSelectedMandatory?;
    private readonly _selection;
    private _isAllSelected;
    private _internalValues;
    private _submitButtonState?;
    constructor();
    firstUpdated(): void;
    render(): import("lit-html").TemplateResult<1>;
    static readonly styles: import("lit").CSSResult[];
}
export default UmbDocumentScheduleModalElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-document-schedule-modal': UmbDocumentScheduleModalElement;
    }
}
